Dell iDRAC6 / iDRAC7 Login Page ErrorMsg Parameter XSS

This script is Copyright (C) 2013-2015 Tenable Network Security, Inc.

Synopsis :

The remote device is affected by a cross-site scripting vulnerability.

Description :

The remote Dell Remote Access Controller (iDRAC6 / iDRAC7) is affected
by a cross-site scripting vulnerability. The login page does not
properly sanitize user-supplied input to the 'ErrorMsg' parameter. An
attacker could leverage this to inject arbitrary HTML and script code
into a user's browser to be executed within the security context of the
affected site.

Note iDRAC6 'modular' (blades) are not affected by this issue and no
updates are required.

See also :

Solution :

Upgrade to firmware version 1.96 (iDRAC6) / 1.46.45 (iDRAC7) or

Risk factor :

Medium / CVSS Base Score : 4.3
CVSS Temporal Score : 4.1
Public Exploit Available : true

Family: CGI abuses : XSS

Nessus Plugin ID: 70411 ()

Bugtraq ID: 62598

CVE ID: CVE-2013-3589